Package org.apache.commons.imaging.color

# Class ColorCieLuv

java.lang.Object
org.apache.commons.imaging.color.ColorCieLuv

public final class ColorCieLuv extends Object
Represents a color in the CIELUV color space.

Contains the constant values for black, white, red, green, and blue.

Since:
  1.0-alpha1
See Also:
  - https://en.wikipedia.org/wiki/CIELUV

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ColorCieLuv`
  `BLACK`
  A constant for color black.
  `static final ColorCieLuv`
  `BLUE`
  A constant for color blue.
  `static final ColorCieLuv`
  `GREEN`
  A constant for color green.
  `final double`
  `l`
  Luminance L*.
  `static final ColorCieLuv`
  `RED`
  A constant for color red.
  `final double`
  `u`
  Chromaticity component u*.
  `final double`
  `v`
  Chromaticity component v*.
  `static final ColorCieLuv`
  `WHITE`
  A constant for color white.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ColorCieLuv(double l, double u, double v)`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### BLACK

    public static final ColorCieLuv BLACK
    A constant for color black. Color components are:

             L*: 0.000
             u*: 0.000
             v*: 0.000

  - ### WHITE

    public static final ColorCieLuv WHITE
    A constant for color white. Color components are:

             L*: 100.000
             u*:   0.000
             v*:  -0.017

  - ### RED

    public static final ColorCieLuv RED
    A constant for color red. Color components are:

             L*:  53.233
             u*: 175.053
             v*:  37.751

  - ### GREEN

    public static final ColorCieLuv GREEN
    A constant for color green. Color components are:

             L*:  87.737
             u*: -83.080
             v*: 107.401

  - ### BLUE

    public static final ColorCieLuv BLUE
    A constant for color blue. Color components are:

             L*:   32.303
             u*:   -9.400
             v*: -130.358

  - ### l

    public final double l
    Luminance L*.

  - ### u

    public final double u
    Chromaticity component u*.

  - ### v

    public final double v
    Chromaticity component v*.

- ## Constructor Details

  - ### ColorCieLuv

    public ColorCieLuv(double l, double u, double v)
    Constructs a new instance.
    Parameters:
      `l` - Luminance L*.
      `u` - Chromaticity component u*.
      `v` - Chromaticity component v*.

- ## Method Details

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`